SFML 2.4.2
Public Attributes | List of all members
sf::Event::TouchEvent Struct Reference

Touch events parameters (TouchBegan, TouchMoved, TouchEnded) More...

`#include <Event.hpp>`

## Public Attributes

unsigned int | finger
| Index of the finger in case of multi-touch events. More...
int | x
| X position of the touch, relative to the left of the owner window. More...
int | y
| Y position of the touch, relative to the top of the owner window. More...

## Detailed Description

Touch events parameters (TouchBegan, TouchMoved, TouchEnded)

Definition at line 164 of file Event.hpp.

## Member Data Documentation

## ◆ finger

unsigned int sf::Event::TouchEvent::finger

Index of the finger in case of multi-touch events.

Definition at line 166 of file Event.hpp.

## ◆ x

int sf::Event::TouchEvent::x

X position of the touch, relative to the left of the owner window.

Definition at line 167 of file Event.hpp.

## ◆ y

int sf::Event::TouchEvent::y

Y position of the touch, relative to the top of the owner window.

Definition at line 168 of file Event.hpp.

The documentation for this struct was generated from the following file:

- Event.hpp